{$A+,B-,E-,F-,I-,N-,O-,V-,X- }

{$IFDEF P286 } {$G+ } {$ELSE } {$G- } {$ENDIF }

{$IFDEF DEBUG } {$R+,S+ } {$ELSE } {$D-,L-,R-,S- } {$ENDIF }

{---------------------------------------------------------------}
{                                                               }
{ La mme chose que EXEMPLE1.PAS, sauf qu'aucune Irq n'est      }
{ necessaire !                                                  }
{                                                               }
{---------------------------------------------------------------}

Program Exemple2;

Uses XSer;

Var Com1  : ComX;
    Texte : String;
    i     : Word;
Begin

  { Installe un "CheckUp" sur l'Irq 0, et force 145.6 interruptions }
  { par seconde ! ( 18.2*2^3 = 145.6)                               }

  If InstCheckUp(3) Then
    Begin
      { Ouvre la communication : Adresse $3F8 , Pas d'irq !!  (COM1) }

      If Com1.Init($3F8,0,BAUD1200,EVENPARITY+DATA7BITS+STOP1BIT,1024,1024) Then
        Begin

          Texte := 'Bonjour les amis';

          { Envoyer le texte, en tenant compte des caractres restant }
          {  emettre }

          i := 0;

          While (i<Length(Texte)) Do
            Inc(i,Com1.Transmit(Texte[i+1],Length(Texte)-i));

          While Com1.TransmitCount>0 Do;  { Attendre l'emission totale }

          Com1.Done;  { ferme la communication (et l'objet) }
        End;

      KillCheckUp;   { vire le "CheckUp" }

    End;
End.
